AddDefaultCharset UTF-8

ErrorDocument 400 /
ErrorDocument 401 /
ErrorDocument 403 /
ErrorDocument 404 /index.php?page=message&code=404
ErrorDocument 500 /



<IfModule mod_dir.c>
DirectoryIndex index.html$ index.php
</IfModule>

#<Files cron.php>
#  deny from all
#</Files>

RewriteEngine On
RewriteRule ^$ index.php
RewriteRule ^links(/?)$ index.php?page=links
RewriteRule ^cs_download(/?)$ index.php?page=cs_download
RewriteRule ^pay(/?)$ index.php?page=pay
RewriteRule ^feedback(/?)$ index.php?page=feedback
RewriteRule ^register(/?)$ index.php?page=add_server
RewriteRule ^search(/?)$ index.php?page=search
RewriteRule ^contact(/?)$ index.php?page=contact
RewriteRule ^server/([0-9]+)(/?)$ index.php?page=info&id=$1&info=$1 [L]
RewriteRule ^all(/?)$ index.php?page=all_servers
RewriteRule ^all/([0-9]+)(/?)$ index.php?page=servers&page_num=$1 [L]
RewriteRule ^userbar-([0-9]+).jpg$ userbar.php?id=$1
RewriteRule ^server-([0-9]+)&banners$ index.php?id=info&serv=$1&banners=$1 [NE]
RewriteRule ^server-([0-9]+)&web$ index.php?id=info&serv=$1&web=$1 [NE]
RewriteRule ^images/maps/([^/]*)/([^/]*)\.jpg$ /images/maps/manager.php?game=$1&map=$2 [L]
RewriteRule ^images/monitor/([^/]*)/([^/]*)\.jpg$ /images/maps/monitor.php?game=$1&map=$2 [L]

# Backend
RewriteRule ^backend/server/([0-9]+)(/?)$ backend/index.php?page=server_info&id=$1 [L]
RewriteRule ^backend/server/([0-9]+)/edit(/?)$ backend/index.php?page=server_edit&id=$1 [L]
RewriteRule ^backend/replies(/?)$ backend/index.php?page=replies
RewriteRule ^backend/settings(/?)$ backend/index.php?page=site_settings
RewriteRule ^backend/rowstyles(/?)$ backend/index.php?page=rowstyles
RewriteRule ^backend/add_server(/?)$ backend/index.php?page=add_server